Subject: [dmarc-ietf] New version of E-mail Authentication for Internationalized Mail draft

From: "John R Levine" <[email-masked]>
Date: 21 Jan 2018 22:55:42 -0500

Read all about it: 
https://datatracker.ietf.org/doc/draft-levine-appsarea-eaiauth/

This is an updated version of a draft I wrote two years ago, that tries to 
nail down the small changes to SPF, DKIM, and DMARC in EAI messages.  This 
version adds a section for the Authentication-Results header.

What it mostly says is that wherever you can have a domain name in a mail 
message header it can be a U-label, and wherever there's a mailbox, the 
local part can be UTF-8, while stuff in the DNS doesn't change and domains 
there are A-labels, same as always.  It's intended to be utterly 
unsurprising, but there's enough ambiguity and well-intended bad advice in 
existing RFCs that I think this is worth doing.

I'm working on an intro to implenting EAI document underwritten by ICANN 
so it would be nice if this were far enough along that I could point to it 
in the relevant sections rather than just Making Stuff Up.

R's,
John